class ImagesController < ApplicationController
  include TenantLoader
  include GalleryLoader
  include AlbumLoader

  before_filter :load_tenant
  before_filter :load_gallery
  before_filter :load_album

  def new
    @title = "Create New Image"
    @image = @album.images.build
    render_template
  end

  def create
    @image = @album.images.build(params[:image])
    @image.tenant = @tenant
    @image.update_attribute(:s3_path, "/images/#{@tenant.to_param}/#{@gallery.to_param}/#{@album.to_param}")
    if @image.save
      flash[:notice] = 'Image has been uploaded'
      @image.reload
    else
      flash[:notice] = @image.errors
    end
    redirect_to new_tenant_gallery_album_image_path(@tenant.id, @gallery.id, @album.id)
  end

  def show
    @title = "Image Show Page"
    @image = Image.find params[:id]
    render_template
  end
end