class Tenants::RegistrationsController < Devise::RegistrationsController
  before_filter :check_permission, :only=>[:new, :create, :cancel]
  skip_before_filter :require_no_authentication

  # POST /resource/sign_up
  def create
    build_resource
    resource.roles = [Role.find_by_name('tenant')]
    if resource.save
      flash[:notice] = "New tenant created"
#      if resource.active?
#        set_flash_message :notice, :signed_up
#        sign_in_and_redirect(resource_name, resource)
#      else
#        set_flash_message :notice, :inactive_signed_up, :reason => resource.inactive_message.to_s
#        expire_session_data_after_sign_in!
#        redirect_to after_inactive_sign_up_path_for(resource)
#      end
    end
    clean_up_passwords(resource)
    render_with_scope :new
  end

  protected

  def check_permission
    authorize! :manage, resource
  end
end