class Ability
  include CanCan::Ability

  def initialize(tenant)
    # Define abilities for the passed in user here. For example:
    #
    #   user ||= User.new # guest user (not logged in)
    #   if user.admin?
    #     can :manage, :all
    #   else
    #     can :read, :all
    #   end
    #
    # The first argument to `can` is the action you are giving the user permission to do.
    # If you pass :manage it will apply to every action. Other common actions here are
    # :read, :create, :update and :destroy.
    #
    # The second argument is the resource the user can perform the action on. If you pass
    # :all it will apply to every resource. Otherwise pass a Ruby class of the resource.
    #
    # The third argument is an optional hash of conditions to further filter the objects.
    # For example, here the user can only update published articles.
    #
    #   can :update, Article, :published => true
    #
    # See the wiki for details: https://github.com/ryanb/cancan/wiki/Defining-Abilities

    tenant ||= Tenant.new # guest tenant if not logged in

    if tenant.role? :super_admin
      can :manage, :all
    elsif tenant.role? :tenant
      can :manage, [Gallery]
      can :update, [Tenant]
    else
      can :read, :all
    end
  end

  def current_ability
    @current_ability ||= ::Ability.new(current_tenant)
  end
end
