class Album < ActiveRecord::Base
  include HasToParam

  belongs_to :tenant
  belongs_to :gallery

  has_many :images

  scope :recent, order("created_at DESC")

  validates_presence_of :name, :tenant_id, :gallery_id

  def self.per_page
    return 12
  end
end