class Image < ActiveRecord::Base
  include HasToParam
  belongs_to :tenant
  belongs_to :album

  validates_presence_of :name, :input, :input_content_type, :input_file_name, :input_file_size, :s3_path

  has_attached_file :input,
                   :styles => {
                   :small=> "x85",
                   :thumb=> "130x130",
                   :original=> "600x400"},

                   :storage => :s3,
                   :s3_credentials => "#{Rails.root.to_s}/config/s3.yml",
                   :path => ":s3_path/:id/:filename_:style"

  scope :recent, order("created_at DESC")

  def self.per_page
    12
  end
end