class DeviseCreateTenants < ActiveRecord::Migration
  def self.up
    create_table(:tenants) do |t|
      t.string :tenant_name, :null => false
      t.database_authenticatable :null => false
      t.recoverable
      t.rememberable
      t.trackable
      t.lockable :lock_strategy => :failed_attempts, :unlock_strategy => :both
      t.timestamps
    end
    add_index :tenants, :tenant_name,          :unique => true
    add_index :tenants, :email,                :unique => true
    add_index :tenants, :reset_password_token, :unique => true
    add_index :tenants, :unlock_token,         :unique => true
  end

  def self.down
    drop_table :tenants
  end
end
