# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20110605133946) do

  create_table "albums", :force => true do |t|
    t.string   "name"
    t.string   "description"
    t.integer  "gallery_id"
    t.integer  "tenant_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "thumbnail"
  end

  create_table "comments", :force => true do |t|
    t.integer  "tenant_id"
    t.string   "name"
    t.string   "from"
    t.string   "subject"
    t.text     "content"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "galleries", :force => true do |t|
    t.string   "name",        :null => false
    t.text     "description"
    t.string   "thumbnail"
    t.integer  "tenant_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "images", :force => true do |t|
    t.integer  "tenant_id"
    t.integer  "album_id"
    t.string   "name"
    t.text     "description"
    t.string   "input"
    t.string   "input_file_name"
    t.string   "input_content_type"
    t.string   "input_file_size"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "s3_path",            :default => "", :null => false
  end

  create_table "roles", :force => true do |t|
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "roles_tenants", :id => false, :force => true do |t|
    t.integer "role_id"
    t.integer "tenant_id"
  end

  create_table "tenant_configs", :force => true do |t|
    t.string  "facebook_app_id", :default => "176556349066394", :null => false
    t.string  "theme",           :default => "default",         :null => false
    t.integer "tenant_id"
    t.string  "email",           :default => "",                :null => false
    t.string  "site_name",       :default => "",                :null => false
    t.string  "contact_number",  :default => "",                :null => false
    t.string  "address",         :default => "",                :null => false
  end

  create_table "tenants", :force => true do |t|
    t.string   "tenant_name",                                                :null => false
    t.string   "email",                               :default => "",        :null => false
    t.string   "encrypted_password",   :limit => 128, :default => "",        :null => false
    t.string   "reset_password_token"
    t.datetime "remember_created_at"
    t.integer  "sign_in_count",                       :default => 0
    t.datetime "current_sign_in_at"
    t.datetime "last_sign_in_at"
    t.string   "current_sign_in_ip"
    t.string   "last_sign_in_ip"
    t.integer  "failed_attempts",                     :default => 0
    t.string   "unlock_token"
    t.datetime "locked_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "theme",                               :default => "default", :null => false
  end

  add_index "tenants", ["email"], :name => "index_tenants_on_email", :unique => true
  add_index "tenants", ["reset_password_token"], :name => "index_tenants_on_reset_password_token", :unique => true
  add_index "tenants", ["tenant_name"], :name => "index_tenants_on_tenant_name", :unique => true
  add_index "tenants", ["unlock_token"], :name => "index_tenants_on_unlock_token", :unique => true

end
