tps.masthead = {
  init : function() {
    tps.masthead.setDefaultValues();
    tps.masthead.bindBehaviors();
    tps.masthead.animateMasthead();
  },

  bindBehaviors : function() {

    $('.home_thumb a[data-page-indicator]').live('click', tps.masthead.jumpToMasthead);
  },

  setDefaultValues: function() {
    tps.masthead.slideTimes = null;
    tps.masthead.lastCheckUsernameRequest = 0;
    tps.masthead.checkUsernameRequestTimeoutID = null;
    tps.masthead.nextSlide = 1;
    tps.masthead.timeout = null;
  },

  animateMasthead: function(e) {
    tps.masthead.setUpSlideTimes();

    var $masthead = $('#masthead');

    if ($masthead.length > 0) {
      tps.masthead.nextSlide = 1;
      tps.masthead.timeout = setTimeout(tps.masthead.slideMasthead, tps.masthead.slideTimes[0]);	// this begins the animation
    }
  },

  setUpSlideTimes: function() {
    if(!tps.masthead.slideTimes) {
      tps.masthead.slideTimes = $.map($('#masthead li[data-display-time]'), function(el,i) {
        return parseInt(el.getAttribute('data-display-time'), 10);
      });
    }
  },

  slideMasthead: function() {
    var offset = 600;										 // amount of pixels to scroll
    $('#masthead_container').animate(
      {left:String(-(tps.masthead.nextSlide * offset)) + 'px'},
      {duration:500, easing:'swing'});               // scroll!
    $('#masthead a[data-page-indicator]').removeClass('selected');
    $('#masthead a[data-page-indicator=' + tps.masthead.nextSlide + ']').addClass('selected');
    tps.masthead.nextSlide ++;									 // go to next slide
    if (tps.masthead.nextSlide == tps.masthead.slideTimes.length) {
      tps.masthead.nextSlide = 0;							 // last slide played. go back to first slide.
    }
    clearTimeout(tps.masthead.timeout);					   // clear old timeout to prevent memory leak
    tps.masthead.timeout = setTimeout(tps.masthead.slideMasthead, tps.masthead.slideTimes[tps.masthead.nextSlide]); // repeat!
  },

  jumpToMasthead: function(e) {
    clearTimeout(tps.masthead.timeout);
    tps.masthead.nextSlide = parseInt($(this).data('page-indicator'), 10);
    tps.masthead.slideMasthead();
    return false;
  }
};