require 'spec_helper'

describe TenantsController do
  before do
    @tenant = get_tenant
  end
  describe "GET show" do
    def do_request
      get :show, :id => @tenant.to_param
    end

    it "should be successful" do
      do_request
      response.should be_success
      assigns(:tenant).should == @tenant
    end
  end

  describe 'GET admin' do
    def do_request
      get :admin, :id => @tenant.to_param
    end

    context "not sign in" do
      it "should not be successful" do
        expect{
          do_request
        }.should raise_error(CanCan::AccessDenied)
      end
    end

    context "signed in" do
      before do
        sign_in @tenant
      end
      it "should be successful" do
        do_request
        response.should be_success
        assigns(:tenant).should == @tenant
      end
    end
  end

  describe 'GET guestbook' do
    def do_request
      get :guestbook, :id => @tenant.id
    end

    it 'should be success' do
      do_request
      assigns(:title).should == 'Guestbook'
    end
  end

  describe 'GET contact' do
    def do_request
      get :contact, :id => @tenant.id
    end

    it 'should be success' do
      do_request
      assigns(:title).should == 'Contact Us'
    end
  end
end