FixtureBuilder.configure do |config|
  config.files_to_check += Dir["spec/support/fixture_builder.rb"]
  config.factory do
    require 'rspec/mocks'

    # tenants and roles
    admin = Factory(:admin)
    tenant = Factory(:tenant, :tenant_name => "i_love_photography", :email => 'CeliceBlank@gmail.com')

    # galleries
    landscape_gallery = Factory(:landscape_gallery, :tenant => tenant)

    # albums
    singapore_album = Factory(:album, :name => "Landscape Of Singapore",:description => "Collection of my Singapore picture", :gallery => landscape_gallery, :tenant => tenant)
  end
end

# Have factory girl generate non-colliding sequences starting at 1000 for data created after the fixtures
Factory.sequences.each do |name, seq|
  seq.instance_variable_set(:@value, 1000)
end